<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, shrink-to-fit=no">
    <title>คำสั่งซื้อ HCare Thailand</title>
    <%-include('./partials/header')%>
    <!--  END CUSTOM STYLE FILE  -->
</head>

<body>


    <div id="headerWrapper">
        <div class="container-fluid">
            <div class="row">
                <div class="col-md-12 col-sm-12 col-12 text-center mb-5">
                    <a href="https://hcarethailand.com/" class="navbar-brand-privacy">
                        <img src="/images/logo/logoHCarewhite-01.png"
                            class="img-fluid" alt="logo">
                    </a>
                </div>
                <div class="col-md-12 col-sm-12 col-12 text-center">
                    <h2 class="main-heading"><%=data.order_number%></h2>
                </div>
            </div>
        </div>
    </div>

    <div id="privacyWrapper" class="">
        <div class="privacy-container">
            <div class="privacyContent">
                <h5>🙏🙏 สวัสดีค่ะคุณ <%=data.first_name%> <%=data.last_name%></h5>
                <h6 class="text-primary mt-3 mb-3">** กรุณาอ่านคำแนะนำและหมายเหตุ **</h6>
                <h6>- สำหรับ Android ให้คลิกที่มุมบนขวาแล้วเลือกเปิดใน Chrome</h6>

                <h6>- สำหรับ iOS ให้คลิกที่มุมล่างขวาแล้วเลือกเปิดใน Safari</h6>

                <h6>หมายเหตุ : เมื่อชำระเงินเรียบร้อย กรุณาอย่าปิดหน้าชำระเงิน ระบบจะพาคุณไปยังหน้า <b class="text-danger">ยืนยัน</b>
                    เป็นขั้นตอนสุดท้าย</h6>

                <div class="privacy-content-container mt-4">
                    <div class="widget-content widget-content-area">
                        <h5>รายการสั่งซื้อ</h5>
                        <div class="table-responsive">
                            <table class="table mb-4">
                                <thead>
                                    <tr>
                                        <th class="text-center">ลำดับ</th>
                                        <th>สินค้า</th>
                                        <th class="text-center">จำนวน</th>
                                        <th class="text-center">ราคาสินค้า</th>
                                        <th class="text-center">ส่วนลด</th>
                                        <th class="text-center">ยอดรวม</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <%data_detail.forEach((result)=>{%>
                                    <tr>
                                        <td class="text-center">1
                                        </td>
                                        <td><%=result.product_name%></td>
                                        <td class="text-center"><%=result.quantity%></td>
                                        <td class="text-center"><%=result.price%> ฿
                                        </td>
                                        <td class="text-center"><%=result.discount%> ฿
                                        </td>
                                        <td class="text-center"><%=result.total%> ฿
                                        </td>
                                    </tr>
                                    <%})%>

                                </tbody>
                            </table>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-6">
                            <h6>ค่าสินค้า</h6>
                        </div>
                        <div class="col-6">
                            <h6 class="text-right"><%=data[0].price%> ฿</h6>
                        </div>

                    </div>
                    <div class="row">
                        <div class="col-6">
                            <h6>ส่วนลด</h6>
                        </div>
                        <div class="col-6">
                            <h6 class="text-right"><%=data[0].discount%> ฿</h6>
                        </div>

                    </div>
                    <div class="row">
                        <div class="col-6">
                            <h5>รวมเป็นเงิน</h5>
                        </div>
                        <div class="col-6">
                            <h5 class="text-right text-danger"><%=data[0].total%> ฿</h5>
                        </div>

                    </div>
        <!-- https://t.2c2p.com/RedirectV3/payment --> 
        <!-- https://demo2.2c2p.com/2C2PFrontEnd/RedirectV3/payment -->
        <form id="form-2c2p" method="post" action="https://t.2c2p.com/RedirectV3/payment">
                    <input type="hidden" name="version" value="<%=version;%>"/>
                    <input type="hidden" name="merchant_id" value="<%=merchant_id;%>"/>
                    <input type="hidden" name="currency" value="<%=currency;%>"/>
                    <input type="hidden" name="result_url_1" value="<%=resultUrl1;%>"/>
                    <input type="hidden" name="result_url_2" value="<%=resultUrl2;%>"/>
                    <input type="hidden" name="hash_value" value="<%=hash_value;%>"/>
                    <input type="hidden" name="payment_description" value="<%=payment_description;%>"/>
                    <input type="hidden" name="order_id" value="<%=order_id;%>"/>
                    <input type="hidden" name="amount" value="<%=amount;%>"/>
                    <!-- <input type="hidden" name="ipp_interest_type" value="<%#ipp_interest_type;%>"/> -->
                 
                    
                    <!-- <input type="hidden" name="ipp_period_filter" value="<%#ipp_period_filter;%>"/> -->
                    <input type="hidden" name="payment_option" value="<%=payment_option;%>"/>
                </div>
                <div class="text-center">
                    <a href=""><button
                            class="btn btn-primary mt-3 mb-4 text-center">คลิกที่นี่เพื่อชำระเงิน</button></a>
                </div>
            </form>

            </div>
        </div>
    </div>


    <!-- BEGIN GLOBAL MANDATORY SCRIPTS -->
    <%-include('./partials/script')%>
    <!-- END GLOBAL MANDATORY SCRIPTS -->

    <script>
        // Scroll To Top
        $(document).on('click', '.arrow', function (event) {
            event.preventDefault();
            var body = $("html, body");
            body.stop().animate({ scrollTop: 0 }, 500, 'swing');
        });
    </script>

</body>

</html>